org.apache.catalina.manager.util

## Class BaseSessionComparator<T>

- java.lang.Object
- - org.apache.catalina.manager.util.BaseSessionComparator<T>

- Type Parameters:
    `T` - The type of the session content to be compared
  All Implemented Interfaces:
    Comparator<Session>

      public abstract class BaseSessionComparator<T>
      extends Object
      implements Comparator<Session>

  Comparator which permits to compare on a session's content.
  Author:
    Cédrik LIME

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseSessionComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(Session s1, Session s2)`
    `abstract Comparable<T>` | `getComparableObject(Session session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### BaseSessionComparator

          public BaseSessionComparator()

  - ### Method Detail

    - #### getComparableObject

          public abstract Comparable<T> getComparableObject(Session session)

    - #### compare

          public final int compare(Session s1,
                    Session s2)

      Specified by:
        `compare` in interface `Comparator<Session>`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.